/* ************************************************************************** */
/*                                                                            */
/*                                                        :::      ::::::::   */
/*   ft_atoi.c                                          :+:      :+:    :+:   */
/*                                                    +:+ +:+         +:+     */
/*   By: cchauvet <cchauvet@student.42angoulem      +#+  +:+       +#+        */
/*                                                +#+#+#+#+#+   +#+           */
/*   Created: 2022/09/27 16:14:34 by cchauvet          #+#    #+#             */
/*   Updated: 2023/04/27 11:27:44 by cchauvet         ###   ########.fr       */
/*                                                                            */
/* ************************************************************************** */

#include "utils.h"
#include <stddef.h>

int	ft_atoi(const char *str)
{
	int		out;
	char	sign;
	size_t	i;

	sign = 1;
	i = 0;
	while (str[i] == '-' || str[i] == '+')
	{
		if (str[i] == '-')
			sign = -1;
		if (str[i] == '+')
			sign = 1;
		i++;
	}
	out = 0;
	while (str[i] >= '0' && str[i] <= '9')
	{
		out = out * 10 + str[i] - 48;
		i++;
	}
	return (out * sign);
}
